Index: trunk/src/view_field.m
===================================================================
--- trunk/src/view_field.m	(revision 192)
+++ trunk/src/view_field.m	(revision 193)
@@ -266,24 +266,24 @@
 
 %-------------------------------------------------------------------
-% --- Executes on button press in 'FixedLimits'.
-%-------------------------------------------------------------------
-function FixedLimits_Callback(hObject, eventdata, handles)
-test=get(handles.FixedLimits,'Value');
+% --- Executes on button press in 'FixLimits'.
+%-------------------------------------------------------------------
+function FixLimits_Callback(hObject, eventdata, handles)
+test=get(handles.FixLimits,'Value');
 if test
-    set(handles.FixedLimits,'BackgroundColor',[1 1 0])
+    set(handles.FixLimits,'BackgroundColor',[1 1 0])
 else
-    set(handles.FixedLimits,'BackgroundColor',[0.7 0.7 0.7])
-end
-
-%-------------------------------------------------------------------
-% --- Executes on button press in auto_xy.
-function auto_xy_Callback(hObject, eventdata, handles)
-test=get(handles.auto_xy,'Value');
+    set(handles.FixLimits,'BackgroundColor',[0.7 0.7 0.7])
+end
+
+%-------------------------------------------------------------------
+% --- Executes on button press in FixEqual.
+function FixEqual_Callback(hObject, eventdata, handles)
+test=get(handles.FixEqual,'Value');
 if test
-    set(handles.auto_xy,'BackgroundColor',[1 1 0])
+    set(handles.FixEqual,'BackgroundColor',[1 1 0])
     cla(handles.axes3)
     update_plot(handles)
 else
-    set(handles.auto_xy,'BackgroundColor',[0.7 0.7 0.7])
+    set(handles.FixEqual,'BackgroundColor',[0.7 0.7 0.7])
     update_plot(handles)
 end
@@ -298,6 +298,6 @@
 if (get(handles.zoom,'Value') == 1); 
     set(handles.zoom,'BackgroundColor',[1 1 0])
-    set(handles.FixedLimits,'Value',1)% propose by default fixed limits for the plotting axes
-    set(handles.FixedLimits,'BackgroundColor',[1 1 0])
+    set(handles.FixLimits,'Value',1)% propose by default fixed limits for the plotting axes
+    set(handles.FixLimits,'BackgroundColor',[1 1 0])
 else
     set(handles.zoom,'BackgroundColor',[0.7 0.7 0.7])
@@ -532,6 +532,6 @@
 function MinA_Callback(hObject, eventdata, handles)
 %------------------------------------------
-set(handles.AutoScal,'Value',1) %suppress auto mode
-set(handles.AutoScal,'BackgroundColor',[1 1 0])
+set(handles.FixScal,'Value',1) %suppress auto mode
+set(handles.FixScal,'BackgroundColor',[1 1 0])
 update_plot(handles)
 
@@ -539,16 +539,16 @@
 function MaxA_Callback(hObject, eventdata, handles)
 %--------------------------------------------
-set(handles.AutoScal,'Value',1) %suppress auto mode
-set(handles.AutoScal,'BackgroundColor',[1 1 0])
+set(handles.FixScal,'Value',1) %suppress auto mode
+set(handles.FixScal,'BackgroundColor',[1 1 0])
 update_plot(handles)
 
 %-----------------------------------------------
-function AutoScal_Callback(hObject, eventdata, handles)
+function FixScal_Callback(hObject, eventdata, handles)
 %--------------------------------------------
-test=get(handles.AutoScal,'Value');
+test=get(handles.FixScal,'Value');
 if test
-    set(handles.AutoScal,'BackgroundColor',[1 1 0])
+    set(handles.FixScal,'BackgroundColor',[1 1 0])
 else
-    set(handles.AutoScal,'BackgroundColor',[0.7 0.7 0.7])
+    set(handles.FixScal,'BackgroundColor',[0.7 0.7 0.7])
     update_plot(handles);
 %     set(handles.MinA,'String',num2str(ScalOut.MinA,3))
@@ -592,18 +592,18 @@
 function VecScale_Callback(hObject, eventdata, handles)
 %-------------------------------------------------------------------
-set(handles.AutoVec,'Value',1);
-set(handles.AutoVec,'BackgroundColor',[1 1 0])
-update_plot(handles)
-
-%-------------------------------------------------------------------
-function AutoVec_Callback(hObject, eventdata, handles)
-%-------------------------------------------------------------------
-test=get(handles.AutoVec,'Value');
+set(handles.FixVec,'Value',1);
+set(handles.FixVec,'BackgroundColor',[1 1 0])
+update_plot(handles)
+
+%-------------------------------------------------------------------
+function FixVec_Callback(hObject, eventdata, handles)
+%-------------------------------------------------------------------
+test=get(handles.FixVec,'Value');
 if test
-    set(handles.AutoVec,'BackgroundColor',[1 1 0])
+    set(handles.FixVec,'BackgroundColor',[1 1 0])
 else
     update_plot(handles);
     %set(handles.VecScale,'String',num2str(ScalOut.VecScale,3))
-    set(handles.AutoVec,'BackgroundColor',[0.7 0.7 0.7])
+    set(handles.FixVec,'BackgroundColor',[0.7 0.7 0.7])
 end
 
@@ -819,2 +819,96 @@
 
 
+
+
+
+function MinX_Callback(hObject, eventdata, handles)
+% hObject    handle to MinX (see GCBO)
+% eventdata  reserved - to be defined in a future version of MATLAB
+% handles    structure with handles and user data (see GUIDATA)
+
+% Hints: get(hObject,'String') returns contents of MinX as text
+%        str2double(get(hObject,'String')) returns contents of MinX as a double
+
+
+% --- Executes during object creation, after setting all properties.
+function MinX_CreateFcn(hObject, eventdata, handles)
+% hObject    handle to MinX (see GCBO)
+% eventdata  reserved - to be defined in a future version of MATLAB
+% handles    empty - handles not created until after all CreateFcns called
+
+% Hint: edit controls usually have a white background on Windows.
+%       See ISPC and COMPUTER.
+if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
+    set(hObject,'BackgroundColor','white');
+end
+
+
+
+function MaxX_Callback(hObject, eventdata, handles)
+% hObject    handle to MaxX (see GCBO)
+% eventdata  reserved - to be defined in a future version of MATLAB
+% handles    structure with handles and user data (see GUIDATA)
+
+% Hints: get(hObject,'String') returns contents of MaxX as text
+%        str2double(get(hObject,'String')) returns contents of MaxX as a double
+
+
+% --- Executes during object creation, after setting all properties.
+function MaxX_CreateFcn(hObject, eventdata, handles)
+% hObject    handle to MaxX (see GCBO)
+% eventdata  reserved - to be defined in a future version of MATLAB
+% handles    empty - handles not created until after all CreateFcns called
+
+% Hint: edit controls usually have a white background on Windows.
+%       See ISPC and COMPUTER.
+if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
+    set(hObject,'BackgroundColor','white');
+end
+
+
+
+function MinY_Callback(hObject, eventdata, handles)
+% hObject    handle to MinY (see GCBO)
+% eventdata  reserved - to be defined in a future version of MATLAB
+% handles    structure with handles and user data (see GUIDATA)
+
+% Hints: get(hObject,'String') returns contents of MinY as text
+%        str2double(get(hObject,'String')) returns contents of MinY as a double
+
+
+% --- Executes during object creation, after setting all properties.
+function MinY_CreateFcn(hObject, eventdata, handles)
+% hObject    handle to MinY (see GCBO)
+% eventdata  reserved - to be defined in a future version of MATLAB
+% handles    empty - handles not created until after all CreateFcns called
+
+% Hint: edit controls usually have a white background on Windows.
+%       See ISPC and COMPUTER.
+if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
+    set(hObject,'BackgroundColor','white');
+end
+
+
+
+function MaxY_Callback(hObject, eventdata, handles)
+% hObject    handle to MaxY (see GCBO)
+% eventdata  reserved - to be defined in a future version of MATLAB
+% handles    structure with handles and user data (see GUIDATA)
+
+% Hints: get(hObject,'String') returns contents of MaxY as text
+%        str2double(get(hObject,'String')) returns contents of MaxY as a double
+
+
+% --- Executes during object creation, after setting all properties.
+function MaxY_CreateFcn(hObject, eventdata, handles)
+% hObject    handle to MaxY (see GCBO)
+% eventdata  reserved - to be defined in a future version of MATLAB
+% handles    empty - handles not created until after all CreateFcns called
+
+% Hint: edit controls usually have a white background on Windows.
+%       See ISPC and COMPUTER.
+if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
+    set(hObject,'BackgroundColor','white');
+end
+
+
